Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.aspect.management
Class NoAspectBoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.aspectwerkz.aspect.management.NoAspectBoundException

All Implemented Interfaces:
  Serializable

    public class NoAspectBoundException

extends RuntimeException

Author:
  Alexandre Vasseur
See Also:
  Serialized Form

Constructor Summary
`NoAspectBoundException(String message, String aspectName)`
`NoAspectBoundException(Throwable t, String aspectName)`

Method Summary
`Throwable` | `getCause()` Returns the original exception.
`String` | `getMessage()`
`void` | `printStackTrace()` Prints the wrapped exception A its backtrace to the standard error stream.
`void` | `printStackTrace(PrintStream s)` Prints the wrapped excpetion A its backtrace to the specified print stream.
`void` | `printStackTrace(PrintWriter s)` Prints the wrapped exception A its backtrace to the specified print writer.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoAspectBoundException

    public NoAspectBoundException(String message,
                                  String aspectName)

### NoAspectBoundException

    public NoAspectBoundException(Throwable t,
                                  String aspectName)

Method Detail

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### getCause

    public Throwable getCause()

  Returns the original exception.

  Overrides:
    `getCause` in class `Throwable`
  Returns:
    the cause

### printStackTrace

    public void printStackTrace()

  Prints the wrapped exception A its backtrace to the standard error stream.

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream s)

  Prints the wrapped excpetion A its backtrace to the specified print stream.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `s` - the print stream

### printStackTrace

    public void printStackTrace(PrintWriter s)

  Prints the wrapped exception A its backtrace to the specified print writer.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `s` - the print writer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.